require 'spec_helper'
require 'derketo/tracer'

describe Derketo::Event do

  let(:tracer) { Derketo::Tracer.new }
  let(:example) {
    m = Mermaid.new
    tracer.trace {
      m.sing
    }
  }
  let(:event) { tracer.events.first }

  before(:each) { example }

  describe '#to_h' do
    it 'returns a Hash' do
      expect(event.to_h.class).to eq(Hash)
    end
  end

  describe '#to_json' do
    it 'returns a JSON formatted String' do
      expect(event.to_json.class).to eq(String)
    end
  end

  describe '#to_s' do
    it 'returns a String' do
      expect(event.to_s.class).to eq(String)
    end
  end
end
