require 'spec_helper'
require 'derketo/tracer'

describe Derketo::Events::Return do
  let(:tracer) { Derketo::Tracer.new }
  let(:example) {
    m = Mermaid.new
    tracer.trace {
      m.sing
    }
  }
  let(:event) { tracer.events.last }

  before(:each) { example }

  describe '#to_mermaid' do
    it 'returns a mmd formatted string' do
      expect(event.to_mermaid).to eq("	Mermaid-->>Mermaid: a song\n")
    end
  end
end
