require 'derketo/helpers'

describe Derketo::Helpers do
  class DummyClass
  end

  before(:each) do
    @dummy_class = DummyClass.new
    @dummy_class.extend(Derketo::Helpers)
  end

  describe '.clean' do
    it 'replaces "::" with "/"' do
      expect(@dummy_class.clean('::')).to eq('/')
    end

    it 'removes "#"' do
      expect(@dummy_class.clean('#')).to eq('')
    end

    it 'replaces ":" with "="' do
      expect(@dummy_class.clean(':')).to eq('=')
    end

    it 'removes "<"' do
      expect(@dummy_class.clean('<')).to eq('')
    end

    it 'removes ">"' do
      expect(@dummy_class.clean('>')).to eq('')
    end

    it 'replaces "," with "|"' do
      expect(@dummy_class.clean(',')).to eq('|')
    end
  end

  describe '.write' do
    before(:all) do
      Dir.mkdir(File.expand_path(File.dirname(__FILE__) + '../../tmp/'))
    end

    after(:all) do
      system("rm -r #{File.expand_path(File.dirname(__FILE__) + '../../tmp/')}")
    end

    it 'writes to a file' do
      filename = File.expand_path(File.dirname(__FILE__) + '../../tmp/test.txt')
      Derketo::Helpers.write(filename, 'test')
      expect(File.file?(filename)).to eq(true)
    end
  end
end
