require 'spec_helper'
require 'derketo/serializers/mermaid'

describe Derketo::Serializers::Mermaid do
  let(:tracer) { Derketo::Tracer.new }
  let(:example) {
    m = Mermaid.new
    tracer.trace {
      m.sing
    }
  }
  let(:serializer) { example; described_class.new(tracer) }

  describe '.initialize' do
    it 'first line is sequenceDiagram' do
      expect(serializer.text.slice(0..15)).to eq("sequenceDiagram\n")
    end

    it 'sequences mermaid strings' do
      fixture = File.read(File.expand_path(File.dirname(__FILE__) + '../../../fixtures/mermaid.mmd'))
      expect(serializer.text).to eq(fixture)
    end
  end

  describe '#particpant' do
    it 'formats correctly' do
      expect(serializer.participant('Test')).to eq("\tparticipant Test\n")
    end
  end
end
