require 'spec_helper'
require 'derketo/tracer'

describe Derketo::Tracer do

  describe '#trace' do
    let(:tracer) { Derketo::Tracer.new }
    let(:example) {
      m = Mermaid.new
      tracer.trace {
        m.sing
      }
    }

    it 'returns the original response' do
      expect(example).to eq('a song')
    end

    it 'captures the trace' do
      example
      expect(tracer.events.empty?).to eq(false)
    end

    it 'only captures the specified trace when given a root' do
      skip 'need to put the Mermaid class into a spec dummy directory'
    end
  end
end
